# CalendarMemo api

## 实例

```html
<template>
  <div class="demo">
    <calendar-memo :memo-dates="memoInfos" :on-date-click="onDateClick"></calendar-memo>
  </div>
</template>

<script>
import CalendarMemo from "@/components/common/CalendarMemo";

export default {
  name: "demo",
  components: {
    CalendarMemo
  },
  data() {
    return {
      memoInfos: ["2018-08-15", "2018-08-31"]
    };
  }
};
</script>
```

## CalendarMemo props

| 属性           | 说明                                                     | 类型           | 默认值 |
| -------------- | -------------------------------------------------------- | -------------- | ------ |
| week-start-day | 星期开始的日期，1：表示从星期一开始，0：表示从星期天开始 | Number, String | 1      |
| disabled-dates | 不可点击的日期                                           | Array          | []     |
| memo-dates     | 有备忘信息的日期                                         | Array          | []     |
| on-date-click  | 当前日历中日期时的钩子，返回字段为 data-当前日期信息     | Function       | -      |


## 点击日期返回的日期数据

| 属性     | 说明                                                 | 类型    |
| -------- | ---------------------------------------------------- | ------- |
| date     | 日期对象                                             | Date    |
| desc     | 日期中的天数                                         | Number  |
| year     | 日期中的年份                                         | Number  |
| week     | 日期中的星期数                                       | Number  |
| format   | 是否选中子节点                                       | String  |
| actived  | 日期是否有备忘                                       | Boolean |
| disabled | 日期是否可操作                                       | Boolean |
| type     | 日期的类别，monthDay(当月日期)，nextMonth，prevMonth | String  |
